<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8" />
  <title>ECharts</title>

  <link rel="stylesheet" href="css/style.css">

  <script src="https://cdn.jsdelivr.net/npm/echarts@5.2.2/dist/echarts.js"
    integrity="sha256-RySf951sAEWQzKl5M+wHL5OQrVfQu/FmEfbSbBpP740=" crossorigin="anonymous"></script>
  <script src="https://cdn.jsdelivr.net/npm/echarts-gl/dist/echarts-gl.min.js"></script>

  <script src="js/test-chart.js"></script>

  <script src="js/globe-chart.js"></script>
  <script src="js/math-chart.js"></script>

</head>

<body>
  <div class="title-box">
    <h1>Workshop Apache Echarts</h1>
    <p>Click <a href="https://echarts.apache.org/en/index.html">here</a> for website</p>
  </div>

  <!-- Tutorial -->
  <div class="chart-box">
    <h2>Dit is de tutorial chart.</h2>
    <button class="button" role="button" onclick="initTestEcharts()">Show Chart</button>
    <div id="main" class="chart" style="width: 1000px;height:400px;"></div>
  </div>

  <!-- Excercise 1 -->
  <div class="chart-box">
    <h2>Oefening 1: Toon een bar-chart waar je 5 random leerkrachten een score op 10 geeft.</h2>
    <button class="button" role="button" onclick="initEcharts()">Show Bar Chart</button>
    <div id="main1" class="chart" style="width: 700px;height:400px;"></div>
  </div>
  <!-- Excercise 2 -->
  <div class="chart-box">
    <h2>Oefening 2: Toon een pie-chart waar je een top 5 maakt van je favoriete programmeertalen.</h2>
    <button class="button" role="button" onclick="initPieEcharts()">Show Pie Chart</button>
    <div id="main2" class="chart" style="width: 1000px;height:400px;"></div>
  </div>
  <!-- Excercise 3 -->
  <div class="chart-box">
    <h2>Oefening 3: Toon een funnel-chart waar je een top 5 maakt van je favoriete vakken (liefste vanboven).</h2>
    <button class="button" role="button" onclick="initFunnelEcharts()">Show Funnel Chart</button>
    <div id="main3" class="chart" style="width: 650px;height:400px;"></div>
  </div>
  <!-- Excercise 4 -->
  <div class="chart-box">
    <h2>Oefening 4: Toon een grafiek waar iemand een score van 75 op 100 haalt.</h2>
    <button class="button" role="button" onclick="initForEcharts()">Show Chart</button>
    <div id="main4" class="chart" style="width: 1000px;height:400px;"></div>
  </div>
  <!-- Excercise 5 -->
  <div class="chart-box">
    <h2>Oefening 5: Zoek en toon een grafiek waar je punten kan verslepen en andere coördinaten kan aan geven. </h2>
    <button class="button" role="button" onclick="initFiveEcharts()">Show Chart</button>
    <div id="main5" class="chart" style="width: 1000px;height:400px;"></div>
  </div>

  <!-- Excercise 6 -->
  <div class="chart-box">
    <h2>Oefening 6: Hier kan je mee spelen :), dit is de Globe Component.</h2>
    <button class="button" role="button" onclick="initGlobeEcharts()">Show Chart</button>
    <div id="main6" class="chart" style="width: 1000px;height:400px;"></div>
  </div>

  <!-- Excercise 7 -->
  <div class="chart-box">
    <h2>Oefening 7: Hier kan je mee spelen :), dit is de Globe Component.</h2>
    <button class="button" role="button" onclick="initMathEcharts()">Show Chart</button>
    <div id="main7" class="chart" style="width: 1000px;height:400px;"></div>
  </div>
</body>

</html>